body {
    background: #f5f7fe; /* @ToDo Dark mode */ 
    /* background-color: var(--bs-body-bg);*/
}
body[data-bs-theme=dark] {}

body > header {
    background: var(--bs-white); /* @ToDo Dark mode */
}
body.app > header {
    width: 300px;
}

body > header[data-bs-theme=dark] {}

.bi {
    display: inline-block;
    width: 1em;
    height: 1em; 
    vertical-align: -0.125em;
    fill: currentColor;
}
.dropdown-menu .active .bi {
    display: block !important; 
}

.text-end ul {
    padding: 0;
}

.up-pro-holder {
    position: relative;
    padding: 70px 20px 20px;
    background: #520DFE;
    background: linear-gradient(325deg, rgba(82, 13, 254, 1) 0%, rgba(146, 141, 254, 1) 100%);
    border-radius: 30px;
}
.up-pro-logo {
    position: absolute;
        top: -50px;
    width: 100px;
    height: 100px;
    margin-left: calc(50% - 56px - 1em);
    background: #520DFE;
    background: linear-gradient(325deg, rgba(82, 13, 254, 1) 0%, rgba(146, 141, 254, 1) 100%);
    border: 6px solid #FFF;
    border-radius: 50%;
}

.profile-bar {
    background: var(--bs-white); /* @ToDo Dark mode */
}
.profile-bar[data-bs-theme=dark] {}

.lang-flag {
    width: 44px;
    height: 30px;
    background: no-repeat center;
}
.lang-flag.round {
    width: 30px;
    border-radius: 50%;
    box-shadow: 0 3px 4px 0 rgba(0, 0, 0, 0.5);
}
.lang-bg { background: url('../flags/bg.png') center center; }
.lang-en { background: url('../flags/en.png') center center; }
.lang-gr { background: url('../flags/gr.png') center center; }
.lang-hr { background: url('../flags/hr.png') center center; }
.lang-pt { background: url('../flags/pt.png') center center; }
.lang-ro { background: url('../flags/ro.png') center center; }

.site-logo {
    display: block;
    text-align: center;
}
.site-logo img {
    max-width: 70%;
    height: auto;
}
.public .logo img {
    max-width: 100px;
    height: auto;
}
.public header a {
    color: #2f4f4f;
    font-weight: bold;
    /* font-size: 1.2em; */
}

.alert .btn-close {
    position: absolute;
        top: 8px;
        right: 8px;
}

.main-menu-li a {
    color: #323574;
}
.nav-link.active,
.nav-link-sub.active {
    font-weight: bold;
}
.main-menu-li ul {
    display: none;
}
.main-menu-li.active ul {
    display: block;
}
.sub-menu {
    margin: 0 0 10px;
    padding: 0 0 0 40px;
    color: #323574;
}
.sub-menu li {
    padding: 5px 0 5px 5px;
    line-height: 1.2;
    list-style: '»' outside;
}
.sub-menu a {
    text-decoration: none;
}

.page-title {
    line-height: 100%;
}
.page-title h1 {
    line-height: 100%;
    margin-bottom: 0.15em;
}
.page-title .page-desc {
    font-size: 1.5em;
}

.arrow {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    background: #FFF;
    border-radius: 50%;
    border: 2px solid #666;
    outline: 2px solid #666;
    outline-offset: 15px;
    box-shadow: 2px 2px 3px 18px rgba(0, 0, 0, 0.3);
}
.arrow::after {
    content: "";
    width: 15px;
    height: 15px;
    margin-top: -4px;
    border-right: 3px solid #2f4f4f;
    border-bottom: 3px solid #2f4f4f;
    transform: rotate(45deg);
}

.see-more-icon {
    float: right;
    margin-left: 10px;
    font-size: 1.3em;
    line-height: middle;
}

.company_desc {
    max-height: 500px;
    overflow-y: auto;
}

.test-card-gr {
    font-size: 18px;
    text-transform: uppercase;
}

.dashboard-card {
    border-radius: 20px;
    overflow: hidden;
}
.dashboard-card .card-body {
    padding: 0;
}
.dashboard-card a {
    color: #323574;
    text-decoration: none;
    transition: all 0.25s ease-in-out;
}
.dashboard-card a:hover {
    color: #FFF;
    background-color: #323574;
}

.dashboard-card a b {
    text-transform: uppercase;
}

.card-shadow {
    box-shadow: 0 20px 20px rgba(0,0,0,0.1);
    border-radius: 20px;
}
.card-header {
    line-height: 150%;
}

.test-gr {
    display: inline-block;
    padding: 5px 10px;
    margin-bottom: 10px;
    border-radius: 5px;
    border: 1px solid #999;
    background: #EEE;
    font-size: 2em;
}

span.decreasing { color: #F00; }
span.moderately_decreasing { color: rgb(248, 109, 109); }
span.normal { color: #666;}
span.moderately_increasing { color: #41ad77; }
span.increasing { color: #148C50; }

body.public {
    font-family: "DM Sans", sans-serif;
    font-optical-sizing: auto;
    /*font-weight: <weight>;*/
    font-style: normal;
}

body.public main {
    padding-top: 92px;
}
/*
.dm-sans-<uniquifier> {
    font-family: "DM Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: <weight>;
    font-style: normal;
} 
.nunito-<uniquifier> {
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: <weight>;
    font-style: normal;
}
*/

.public .accent { 
    color: var(--bs-white);
    background-color: #488d86;
}
.public .accent a {
    color: var(--bs-white);
}
.public .gray {
    color: #204a44;
    /* background-color: #d9d6d0; */
    background-color: #c9c6c0; 
}
/*.public h1, 
.public h2, 
.public h3, 
.public h4, 
.public h5 {
    text-shadow: 0 5px 5px rgba(0,0,0,0.5);
}*/

.public .hero-section h1 { color: #89F336; }

.public section { font-size: 1.1rem; }

.public main {
    /* background-color: #d9d6d0; */
    background-color: #c9c6c0; 
}
.public footer {
    min-height: 499px;
    background: #488d86 url('../gui/topaz/footer.png') no-repeat top center;
}

.home .hero-section {
    min-height: 781px;
    /* height: 781px; */
    background: #488d86 url('../gui/topaz/bg.png') no-repeat top center;
}
.hero-section h1 {
    /*font-family: "Nunito", sans-serif;*/
    font-size: 60px; 
    font-weight: 800;
    font-style: normal;
    letter-spacing: 2px;
}

.home .second {
    min-height: 697px;
    /* height: 697px; */
    background: #488d86 url('../gui/topaz/bg_second.png') no-repeat top center;
}

.public img {
    height: auto; 
    /* max-height: 50%;
    max-width: 50%; */
    width: auto;
}

.public .btn {
    font-weight: 800;
    border-radius: 30px;
    transition: background-color 0.2s ease-in-out;
}

.public .accent .btn {
    color: #204a44;
    background: var(--bs-white);
    border: 1px solid #68a822;
}
.public .accent .btn:hover {}

.public .gray .btn {
    color: var(--bs-white);
    background: #204A44;
    background: linear-gradient(90deg,rgb(32, 74, 68) 0%, rgb(72, 140, 133) 100%);
    border: 1px solid #204A44;
}
.public .gray .btn:hover {
    background: linear-gradient(90deg,rgb(32, 74, 68) 0%, rgb(32, 74, 68) 100%);
}

html body pre {
    font-size: 12px;
    position: fixed;
        top: 10px;
        right: 10px;
        z-index: 9999;
    max-height: 90vh;
    width: auto !important;
    max-width: 30vw;
    border: 1px solid red;
    background: #FFF;
    box-shadow: 5px 5px 5px rgba(0,0,0,0.5);
    opacity: 0.75;
}
html body pre.short {
    top: 100px;
    max-height: 30vh;
}

@media (max-width: 992px) {
    body.app header {
        position: absolute;
            z-index: 100;
        width: 20px;
        overflow: hidden;
        transition: width 0.25s ease-in-out;
    }
    body.app header:hover {
        width: 300px;
    }
    .up-pro-holder {
        display: none;
    }
}